[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: versioned Build-Depends on debhelper

On Thu, Jul 31, 2008 at 12:05:21PM +0400, Stanislav Maslovski wrote:
> On Wed, Jul 30, 2008 at 11:57:44PM +0200, Marc Haber wrote:
> > On Wed, Jul 30, 2008 at 02:14:53PM -0700, Russ Allbery wrote:
> > > Stanislav Maslovski <stanislav.maslovski@gmail.com> writes:
> > > > My sponsor asked me to delete versioned build dependency on debhelper.
> > > 
> > > I think this is bad advice.
> > 
> > I agree. There are people building Debian packages on older releases,
> > and having a package fail because a known versioned dependency had its
> > version removed it a disservice to those people.
> That was my concern also. However, Romain pointed out that Etch
> (which will soon become oldstable) has debhelper of ver. > 5 so there
> should not be problems with backporting to it.

There have been Debian releases before etch. Which is the reason why I
wrote "older releases" instead of etch.

> > I might be missing arguments for removing the version, but I have only
> > been a DD for like seven years.
> Marc, Russ, thank you for your answers. Unfortunately, the package has been
> already sponsored and uploaded to NEW. I think that at this stage this change
> should be harmless. I will return the versioned dependency back when
> preparing the next modification of the package.

And please deliver a cluebat to your sponsor and ask him to give
better advice to newbies in the future.


Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190

Reply to: